> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runmorph.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Handle connector webhooks



## OpenAPI

````yaml get /v1/hook/{orgId}/{envKey}/{connectorId}/{webhookType}/{webhookTokenOrGlobalRoute}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Swagger API
servers: []
security: []
externalDocs:
  description: View the raw OpenAPI Specification in JSON format
  url: /swagger.json
paths:
  /v1/hook/{orgId}/{envKey}/{connectorId}/{webhookType}/{webhookTokenOrGlobalRoute}:
    post:
      tags:
        - Webhooks
      summary: Handle connector webhooks
      parameters:
        - schema:
            type: string
          required: true
          name: orgId
          in: path
        - schema:
            type: string
          required: true
          name: envKey
          in: path
        - schema:
            type: string
            enum:
              - hubspot
              - pipedrive
              - salesforce
              - aircall
              - gong
              - attio
              - dialpad
              - calendly
              - xero
              - chargebee
          required: true
          name: connectorId
          in: path
        - schema:
            type: string
            enum:
              - global
              - subscription
          required: true
          name: webhookType
          in: path
        - schema:
            type: string
          required: true
          name: webhookTokenOrGlobalRoute
          in: path
        - schema:
            nullable: true
          required: false
          name: query
          in: query
        - schema:
            nullable: true
          required: false
          name: headers
          in: header
      requestBody:
        content:
          application/json:
            schema:
              nullable: true
          application/jwt:
            schema:
              nullable: true
          text/plain:
            schema:
              nullable: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                nullable: true
            application/jwt:
              schema:
                nullable: true
            text/plain:
              schema:
                nullable: true
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                nullable: true
            application/jwt:
              schema:
                nullable: true
            text/plain:
              schema:
                nullable: true
      security:
        - ApiKeyAuth: []
          ApiSecretAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
    ApiSecretAuth:
      type: apiKey
      in: header
      name: x-api-secret

````